Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 209615 - Review Request: wmcpuload - WindowMaker dockapp
Summary: Review Request: wmcpuload - WindowMaker dockapp
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrice Dumas
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-10-06 12:50 UTC by David Kovalsky
Modified: 2014-03-31 23:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-21 09:13:42 UTC


Attachments (Terms of Use)

Description David Kovalsky 2006-10-06 12:50:47 UTC
Spec URL: http://www.kovalsky.cz/packages/wmcpuload.spec
SRPM URL: http://www.kovalsky.cz/packages/wmcpuload-1.0.1-1.src.rpm
Description: DockApp for window managers such as WindowMaker showing CPU usage

Please note this is my first package in Extras (togethew with wmmemload, bz 209614) -> need a sponsor

Comment 1 Patrice Dumas 2006-10-07 09:00:27 UTC
I have exactly the same comments than for wmmemload (including
the .src.rpm not accessible).

Comment 2 David Kovalsky 2006-10-12 14:31:45 UTC
uploaded the new fixed files, please take a look
http://www.kovalsky.cz/packages/wmcpuload.spec
http://www.kovalsky.cz/packages/wmcpuload-1.0.1-1.src.rpm

Thanks a lot for your review notes!

Comment 3 David Kovalsky 2006-10-13 11:36:56 UTC
Updated packages to address issues similar to the ones mentioned in bz 209614

http://www.kovalsky.cz/packages/wmcpuload.spec
http://www.kovalsky.cz/packages/wmcpuload-1.0.1-2.src.rpm

Comment 4 Patrice Dumas 2006-10-13 22:37:41 UTC
For the doc files, you don't need to install them yourself. 
rpmbuild will do everything for you with 

%doc AUTHORS COPYING ChangeLog THANKS README NEWS TODO

Comment 5 Patrice Dumas 2006-10-13 22:45:32 UTC
Another comment, in the %description, the line

' It runs on GNU/Linux, FreeBSD, OpenBSD,
NetBSD, BSDi, Solaris, Cygwin, IRIX and Darwin.'

isn't of much use on fedora.

Also, installing things 'by hand' with the install calls in 
%install isn't wrong, but here a simple

make install DESTDIR=$RPM_BUILD_ROOT

should work.

Comment 6 David Kovalsky 2006-10-16 11:33:33 UTC
Updated packages to address above mentioned issues 

http://www.kovalsky.cz/packages/wmcpuload.spec
http://www.kovalsky.cz/packages/wmcpuload-1.0.1-3.src.rpm

description changed, integrated "tips" :-) thanks!


Is there anything else blocking the package?



Comment 7 Patrice Dumas 2006-10-17 16:50:09 UTC
Comments in Comment #5 weren't blocking.

The timestamp of the source file isn't the right one, it is
also not blocking. To keep the timestamp, you can use wget -N
to download, or spectool -g on the spec file.

Seems like an internal version of libdockapp is used. It is 
a blocker. libdockapp should be packaged in fedora extras and 
the build of wmcpuload should be arranged to build against
the external libdockapp.


Comment 8 Kevin Fenzi 2006-12-16 19:35:54 UTC
Hey Patrice. 

Are you formally reviewing this package? It's assigned to you, but still
blocking the FE-NEW blocker. If you are reviewing it, can you move that to
FE-REVIEW? 
If not, can you move it back to being assigned to nobody@fedoraproject.org? 

Comment 9 Patrice Dumas 2006-12-16 23:48:45 UTC
Yes, I am formally reviewing it. I don't want the libdockapp 
internal library to be used.

Comment 10 Patrice Dumas 2007-06-26 18:16:12 UTC
I packaged libdockapp some time ago for wmacpi, you can use it.

Comment 11 Jason Tibbitts 2008-01-20 22:27:18 UTC
Any updates?

Comment 12 David Kovalsky 2008-01-21 09:13:42 UTC
Indeed, I can't find the time to invest the effort ATM.

Sorry.


Note You need to log in before you can comment on or make changes to this bug.